package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.Function2;

@SuppressWarnings("serial")
public class Max implements Function2<DayOfWeekHourCrit, DayOfWeekHourCrit, DayOfWeekHourCrit> {

	@Override
	public DayOfWeekHourCrit call(DayOfWeekHourCrit value1, DayOfWeekHourCrit value2) throws Exception {
		if (value1.criticality > value2.criticality
				|| (value1.criticality == value2.criticality && value1.hour < value2.hour)
				|| (value1.criticality == value2.criticality && value1.hour == value2.hour
						&& value1.dayOfTheWeek.compareTo(value2.dayOfTheWeek) < 0)) {
			return new DayOfWeekHourCrit(value1.dayOfTheWeek, value1.hour, value1.criticality);
		} else {
			return new DayOfWeekHourCrit(value2.dayOfTheWeek, value2.hour, value2.criticality);
		}
	}

}
