package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.PairFunction;

import scala.Tuple2;

@SuppressWarnings("serial")
public class PairCounts implements PairFunction<String, String, CountTotReadingsTotFull> {

	@Override
	public Tuple2<String, CountTotReadingsTotFull> call(String line) throws Exception {
		// station timestamp used free
		// 1 2008-05-15 12:01:00 0 18

		String[] fields = line.split("\\t");
		int freeSlots = Integer.parseInt(fields[3]);

		String[] timestamp = fields[1].split(" ");
		String dayOfTheWeek = DateTool.DayOfTheWeek(timestamp[0]);
		String hour = timestamp[1].replaceAll(":.*", "");

		CountTotReadingsTotFull countRF;

		if (freeSlots == 0) {
			// The station is full
			countRF = new CountTotReadingsTotFull(1, 1);
		} else {
			// The station is not full
			countRF = new CountTotReadingsTotFull(1, 0);
		}

		return new Tuple2<String, CountTotReadingsTotFull>(fields[0] + "_" + dayOfTheWeek + "_" + hour, countRF);
	}

}
