package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.PairFunction;

import scala.Tuple2;

@SuppressWarnings("serial")
public class PairStationOtherPart implements PairFunction<Tuple2<String, Double>, String, DayOfWeekHourCrit> {

	@Override
	public Tuple2<String, DayOfWeekHourCrit> call(Tuple2<String, Double> StationDayWeekHourCount) throws Exception {

		// (2_Sat_02,402)
		String[] fields = StationDayWeekHourCount._1().split("_");
		String stationId = fields[0];
		String dayWeek = fields[1];
		String hour = fields[2];

		Double criticality = StationDayWeekHourCount._2();

		return new Tuple2<String, DayOfWeekHourCrit>(stationId,
				new DayOfWeekHourCrit(dayWeek, Integer.parseInt(hour), criticality));
	}

}
